| OpenGL-2.2.3.0: A binding for the OpenGL graphics system | Source code | Contents | Index

Graphics.Rendering.OpenGL.GL.StateVar

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de

Description
Synopsis

class HasGetter g where

get :: g a -> IO a

data GettableStateVar a
makeGettableStateVar :: IO a -> GettableStateVar a
class HasSetter s where

($=) :: s a -> a -> IO ()

set :: [IO ()] -> IO ()
data SettableStateVar a
makeSettableStateVar :: (a -> IO ()) -> SettableStateVar a
data StateVar a
makeStateVar :: IO a -> (a -> IO ()) -> StateVar a
($~) :: (HasGetter v, HasSetter v) => v a -> (a -> a) -> IO ()
($=!) :: HasSetter s => s a -> a -> IO ()
($~!) :: (HasGetter v, HasSetter v) => v a -> (a -> a) -> IO ()

Documentation

class HasGetter g where | Source

Methods

get :: g a -> IO a | Source

Instances

HasGetter IORef
HasGetter StateVar
HasGetter GettableStateVar

data GettableStateVar a | Source

Instances

HasGetter GettableStateVar

makeGettableStateVar :: IO a -> GettableStateVar a | Source

class HasSetter s where | Source

Methods

($=) :: s a -> a -> IO () | Source

Instances

HasSetter IORef
HasSetter StateVar
HasSetter SettableStateVar

set :: [IO ()] -> IO () | Source

data SettableStateVar a | Source

Instances

HasSetter SettableStateVar

makeSettableStateVar :: (a -> IO ()) -> SettableStateVar a | Source

data StateVar a | Source

Instances

HasSetter StateVar
HasGetter StateVar

makeStateVar :: IO a -> (a -> IO ()) -> StateVar a | Source

($~) :: (HasGetter v, HasSetter v) => v a -> (a -> a) -> IO () | Source

A modificator convenience function.

($=!) :: HasSetter s => s a -> a -> IO () | Source

A strict variant of `$=`.

($~!) :: (HasGetter v, HasSetter v) => v a -> (a -> a) -> IO () | Source

A strict variant of `$~`.
Produced by Haddock version 2.4.2